Patchwork [00/12] Prepare recipes for automake-1.13 (batch #3)

login
register
mail settings
Submitter Marko Lindqvist
Date Jan. 15, 2013, 11:57 a.m.
Message ID <cover.1358250908.git.cazfi74@gmail.com>
Download mbox
Permalink /patch/42637/
State New
Headers show

Pull-request

git://git.openembedded.org/openembedded-core-contrib cazfi/am13

Comments

Marko Lindqvist - Jan. 15, 2013, 11:57 a.m.
As more and more packages seem to have automake-1.13 related problems,
it's becoming clear that I cannot fix world alone. I'm about to fix
packages in openembedded-core the way I've been doing, but for supporting
unfixed packages in other layers it would make sense to patch our
version of automake-1.13 to still support AM_CONFIG_HEADER (the most
common problem by far). We can drop that patch once most of the world
has been updated to versions that work without.

This batch includes fix to pango. Meanwhile new upstream version of pango
with fix included has been released, but it depends on other packages
for which there is not yet suitable stable releases available.


 - ML

The following changes since commit 6080d1dc719c38fd97c2abd38e0ad938fbf6f452:

  connman: fixed init script so connman can runs over nfs (2013-01-15 08:09:30 +0000)

are available in the git repository at:

  git://git.openembedded.org/openembedded-core-contrib cazfi/am13
  http://cgit.openembedded.org/cgit.cgi/openembedded-core-contrib/log/?h=cazfi/am13

Marko Lindqvist (12):
  polkit: replace obsolete automake macros with working ones
  pango: replace obsolete automake macros with working ones
  libxsettings-client: replace obsolete automake macros with working
    ones
  rgb: replace obsolete automake macros with working ones
  sysfsutils: replace obsolete automake macros with working ones
  vte: replace obsolete automake macros with working ones
  libtirpc: replace obsolete automake macros with working ones
  curl: fix build with automake-1.13
  bluez-hcidump: replace obsolete automake macros with working ones
  alsa-utils: replace obsolete automake macros with working ones
  tremor: replace obsolete automake macros with working ones
  ofono: replace obsolete automake macros with working ones

 .../obsolete_automake_macros.patch                 |   14 +++++++++
 .../bluez/bluez-hcidump_2.5.bb                     |    6 ++--
 .../ofono-1.12/obsolete_automake_macros.patch      |   14 +++++++++
 meta/recipes-connectivity/ofono/ofono_1.12.bb      |    4 ++-
 .../obsolete_automake_macros.patch                 |   15 ++++++++++
 meta/recipes-core/sysfsutils/sysfsutils_2.1.0.bb   |    3 +-
 .../libtirpc-0.2.2/obsolete_automake_macros.patch  |   15 ++++++++++
 meta/recipes-extended/libtirpc/libtirpc_0.2.2.bb   |    4 ++-
 .../polkit-0.104/obsolete_automake_macros.patch    |   23 +++++++++++++++
 meta/recipes-extended/polkit/polkit_0.104.bb       |    3 +-
 .../obsolete_automake_macros.patch                 |   14 +++++++++
 .../libxsettings-client_0.10.bb                    |    6 ++--
 .../pango-1.32.5/obsolete_automake_macros.patch    |   15 ++++++++++
 meta/recipes-graphics/pango/pango_1.32.5.bb        |    6 ++--
 .../rgb-1.0.4/obsolete_automake_macros.patch       |   15 ++++++++++
 meta/recipes-graphics/xorg-app/rgb_1.0.4.bb        |    4 ++-
 .../obsolete_automake_macros.patch                 |   15 ++++++++++
 meta/recipes-multimedia/alsa/alsa-utils_1.0.25.bb  |    3 +-
 .../tremor-20120314/obsolete_automake_macros.patch |   15 ++++++++++
 meta/recipes-multimedia/tremor/tremor_20120314.bb  |    6 ++--
 .../dont_override_ac_config_macro_dir.patch        |   30 ++++++++++++++++++++
 .../curl-7.28.1/obsolete_automake_macros.patch     |   14 +++++++++
 meta/recipes-support/curl/curl_7.28.1.bb           |    7 +++--
 .../vte/vte-0.28.2/obsolete_automake_macros.patch  |   14 +++++++++
 meta/recipes-support/vte/vte_0.28.2.bb             |    4 ++-
 25 files changed, 252 insertions(+), 17 deletions(-)
 create mode 100644 meta/recipes-connectivity/bluez/bluez-hcidump-2.5/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-connectivity/ofono/ofono-1.12/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-core/sysfsutils/sysfsutils-2.1.0/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-extended/libtirpc/libtirpc-0.2.2/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-extended/polkit/polkit-0.104/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-graphics/libxsettings-client/libxsettings-client/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-graphics/pango/pango-1.32.5/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-graphics/xorg-app/rgb-1.0.4/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-multimedia/alsa/alsa-utils-1.0.25/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-multimedia/tremor/tremor-20120314/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-support/curl/curl-7.28.1/dont_override_ac_config_macro_dir.patch
 create mode 100644 meta/recipes-support/curl/curl-7.28.1/obsolete_automake_macros.patch
 create mode 100644 meta/recipes-support/vte/vte-0.28.2/obsolete_automake_macros.patch
Richard Purdie - Jan. 16, 2013, 12:02 p.m.
On Tue, 2013-01-15 at 13:57 +0200, Marko Lindqvist wrote:
> As more and more packages seem to have automake-1.13 related problems,
> it's becoming clear that I cannot fix world alone. I'm about to fix
> packages in openembedded-core the way I've been doing, but for supporting
> unfixed packages in other layers it would make sense to patch our
> version of automake-1.13 to still support AM_CONFIG_HEADER (the most
> common problem by far). We can drop that patch once most of the world
> has been updated to versions that work without.

Agreed, this does sound like the sensible way to go for us for now. I
appreciate the work you're doing on this!

Cheers,

Richard